Bug 820825 - need to click Save as Fuzzy/Save as approved twice to save translation
need to click Save as Fuzzy/Save as approved twice to save translation
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
unspecified Severity high
: ---
: 1.6
Assigned To: Alex Eng
Joyce Chang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 01:11 EDT by Joyce Chang
Modified: 2013-03-03 22:19 EST (History)
4 users (show)

See Also:
Fixed In Version: Zanata version 1.6.0-beta-2-SNAPSHOT (20120530-0019).
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joyce Chang 2012-05-11 01:11:46 EDT
Description of problem:
When saving translation on a empty target entry,Save as Fuzzy/Save as approved buttons now would work only when you click it twice. 


Version-Release number of selected component (if applicable):
1.6.0-alpha-3

How reproducible:
always


Steps to Reproduce:
1.visit a project with no translation at all 
2.type some stuff on 1st target entry 
3.click Save as Fuzzy and clicking it again
4.type some stuff on 2nd target entry 
5.click Save as Approved and click it again
  
Actual results:
translation gets to saved on the second click

Expected results:
translation gets to saved on the first click


Additional info:
Ctrl+S,Ctrl+enter behave properly
Comment 1 Patrick Huang 2012-05-29 01:35:59 EDT
committed in master:
https://github.com/zanata/zanata/commit/68338a1d85b99a61b53938a8bf19848d195814f4
Comment 2 Joyce Chang 2012-05-29 23:58:56 EDT
verified in Zanata version 1.6.0-beta-2-SNAPSHOT (20120530-0019).

Note You need to log in before you can comment on or make changes to this bug.